﻿namespace HudsonMonitor
{
    /// <summary>
    ///   The possible states a project can be in
    /// </summary>
    public enum Status
    {
        /// <summary>
        ///   Last few builds has been without errors
        /// </summary>
        Ok,
        /// <summary>
        ///   One or more of the previous builds has failed
        /// </summary>
        Unstable,
        /// <summary>
        ///   More than two builds has failed
        /// </summary>
        Failed,
        /// <summary>
        /// Unknown status
        /// </summary>
        Unknown
    }
}